aboutsummaryrefslogtreecommitdiffstats
path: root/functest/ci
diff options
context:
space:
mode:
Diffstat (limited to 'functest/ci')
-rw-r--r--[-rwxr-xr-x]functest/ci/__init__.py0
-rwxr-xr-xfunctest/ci/check_os.sh29
-rwxr-xr-xfunctest/ci/config_functest.yaml4
-rwxr-xr-xfunctest/ci/prepare_env.py2
-rwxr-xr-xfunctest/ci/testcases.yaml18
-rw-r--r--[-rwxr-xr-x]functest/ci/tier_builder.py0
-rw-r--r--[-rwxr-xr-x]functest/ci/tier_handler.py0
7 files changed, 29 insertions, 24 deletions
diff --git a/functest/ci/__init__.py b/functest/ci/__init__.py
index e69de29b..e69de29b 100755..100644
--- a/functest/ci/__init__.py
+++ b/functest/ci/__init__.py
diff --git a/functest/ci/check_os.sh b/functest/ci/check_os.sh
index 2c5c021c..3920b7ac 100755
--- a/functest/ci/check_os.sh
+++ b/functest/ci/check_os.sh
@@ -26,6 +26,11 @@ verify_connectivity() {
return 1
}
+verify_SSL_connectivity() {
+ openssl s_client -connect $1:$2 &>/dev/null
+ return $?
+}
+
check_service() {
local service cmd
service=$1
@@ -63,10 +68,16 @@ fi
echo "Checking OpenStack endpoints:"
publicURL=$(openstack catalog show identity |awk '/public/ {print $4}')
-publicIP=$(echo $publicURL|sed 's/^.*http\:\/\///'|sed 's/.[^:]*$//')
+publicIP=$(echo $publicURL|sed 's/^.*http.*\:\/\///'|sed 's/.[^:]*$//')
publicPort=$(echo $publicURL|sed 's/^.*://'|sed 's/\/.*$//')
-echo ">>Verifying connectivity to the public endpoint $publicIP:$publicPort..."
-verify_connectivity $publicIP $publicPort
+https_enabled=$(echo $publicURL | grep 'https')
+if [[ -n $https_enabled ]]; then
+ echo ">>Verifying SSL connectivity to the public endpoint $publicIP:$publicPort..."
+ verify_SSL_connectivity $publicIP $publicPort
+else
+ echo ">>Verifying connectivity to the public endpoint $publicIP:$publicPort..."
+ verify_connectivity $publicIP $publicPort
+fi
RETVAL=$?
if [ $RETVAL -ne 0 ]; then
echo "ERROR: Cannot talk to the public endpoint $publicIP:$publicPort ."
@@ -81,10 +92,16 @@ if [ -z ${adminURL} ]; then
openstack catalog show identity
exit 1
fi
-adminIP=$(echo $adminURL|sed 's/^.*http\:\/\///'|sed 's/.[^:]*$//')
+adminIP=$(echo $adminURL|sed 's/^.*http.*\:\/\///'|sed 's/.[^:]*$//')
adminPort=$(echo $adminURL|sed 's/^.*://'|sed 's/.[^\/]*$//')
-echo ">>Verifying connectivity to the admin endpoint $adminIP:$adminPort..."
-verify_connectivity $adminIP $adminPort
+https_enabled=$(echo $adminURL | grep 'https')
+if [[ -n $https_enabled ]]; then
+ echo ">>Verifying SSL connectivity to the admin endpoint $adminIP:$adminPort..."
+ verify_SSL_connectivity $adminIP $adminPort
+else
+ echo ">>Verifying connectivity to the admin endpoint $adminIP:$adminPort..."
+ verify_connectivity $adminIP $adminPort
+fi
RETVAL=$?
if [ $RETVAL -ne 0 ]; then
echo "ERROR: Cannot talk to the admin endpoint $adminIP:$adminPort ."
diff --git a/functest/ci/config_functest.yaml b/functest/ci/config_functest.yaml
index 00e44ad5..78f6257c 100755
--- a/functest/ci/config_functest.yaml
+++ b/functest/ci/config_functest.yaml
@@ -125,7 +125,7 @@ rally:
refstack:
tempest_conf_path: openstack/refstack_client/tempest.conf
- defcore_list: openstack/refstack_client/defcore_201608.txt
+ defcore_list: openstack/refstack_client/defcore.txt
vnf:
aaa:
@@ -200,4 +200,6 @@ example:
sg_desc: Example Security group
results:
+ # you can also set a dir (e.g. /home/opnfv/db) to dump results
+ # test_db_url: file:///home/opnfv/db
test_db_url: http://testresults.opnfv.org/test/api/v1
diff --git a/functest/ci/prepare_env.py b/functest/ci/prepare_env.py
index 724ea14d..e9a470f9 100755
--- a/functest/ci/prepare_env.py
+++ b/functest/ci/prepare_env.py
@@ -312,7 +312,7 @@ def install_tempest():
logger.debug("Tempest %s does not exist" %
CONST.tempest_deployment_name)
cmd = ("rally verify create-verifier --source {0} "
- "--name {1} --type tempest"
+ "--name {1} --type tempest --system-wide"
.format(CONST.dir_repo_tempest,
CONST.tempest_deployment_name))
error_msg = "Problem while installing Tempest."
diff --git a/functest/ci/testcases.yaml b/functest/ci/testcases.yaml
index e3d5ffad..5f54b975 100755
--- a/functest/ci/testcases.yaml
+++ b/functest/ci/testcases.yaml
@@ -132,7 +132,7 @@ tiers:
-
name: refstack_defcore
- criteria: 'success_rate >= 80%'
+ criteria: 'success_rate == 100%'
blocking: false
clean_flag: false
description: >-
@@ -168,7 +168,7 @@ tiers:
-
name: odl_netvirt
criteria: 'success_rate == 100%'
- blocking: true
+ blocking: false
clean_flag: false
description: >-
Test Suite for the OpenDaylight SDN Controller when
@@ -436,20 +436,6 @@ tiers:
# module: 'functest.opnfv_tests.openstack.tempest.tempest'
# class: 'TempestFullParallel'
-
- name: tempest_defcore
- criteria: 'success_rate == 100%'
- blocking: false
- clean_flag: false
- description: >-
- This is the set of Tempest test cases created by OpenStack
- Interop Working Group for certification purposes.
- dependencies:
- installer: ''
- scenario: 'nosdn-nofeature-ha'
- run:
- module: 'functest.opnfv_tests.openstack.tempest.tempest'
- class: 'TempestDefcore'
- -
name: tempest_custom
criteria: 'success_rate == 100%'
blocking: false
diff --git a/functest/ci/tier_builder.py b/functest/ci/tier_builder.py
index f4c6f70f..f4c6f70f 100755..100644
--- a/functest/ci/tier_builder.py
+++ b/functest/ci/tier_builder.py
diff --git a/functest/ci/tier_handler.py b/functest/ci/tier_handler.py
index 6b4864b5..6b4864b5 100755..100644
--- a/functest/ci/tier_handler.py
+++ b/functest/ci/tier_handler.py